﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.ViewModel;

namespace UI.Core
{
    public class Module : NotificationObject
    {
        private int _moduleId;
        public int ModuleId
        {
            get { return _moduleId; }
            set
            {
                //ignore if values are equal
                if (value == _moduleId) return;

                _moduleId = value;

                RaisePropertyChanged(() => ModuleId);
            }
        }

        private String _moduleName;
        public String ModuleName
        {
            get { return _moduleName; }
            set
            {
                //ignore if values are equal
                if (value == _moduleName) return;

                _moduleName = value;

                RaisePropertyChanged(() => ModuleName);
            }
        }

        private Boolean _isSelected;
        public Boolean IsSelected
        {
            get { return _isSelected; }
            set
            {
                //ignore if values are equal
                if (value == _isSelected) return;

                _isSelected = value;

                RaisePropertyChanged(() => IsSelected);
            }
        }

    }
}
