﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ServiceModel.Operations;
using ServiceStack.Service;

namespace UI.Module.Admin
{
    public class SecurityContext
    {
        private readonly IServiceClient _serviceClient;
        public SecurityContext(IServiceClient serviceClient)
        {
            _serviceClient = serviceClient;
        }
        public bool GetUsers(Action<GetUsersResponse> onSuccess, Action<GetUsersResponse, Exception> onError)
        {
            _serviceClient.SendAsync(new GetUsers(), onSuccess, onError);
            return true;
        }
    }
}
