﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Data.Model;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;

namespace ServiceModel.Operations
{

    public class GetUsers : IReturn<GetUsersResponse>
    {
    }
    public class GetUsersResponse : IHasResponseStatus
    {
        public GetUsersResponse()
        {
            Users = new List<UserBase>();
            ResponseStatus = new ResponseStatus();
        }

        public List<UserBase> Users { get; set; }
        public ResponseStatus ResponseStatus { get; set; }
    }
}
